# Poco::Net::Impl

# class SocketAddressImpl

Library: Net
Package: NetCore
Header: Poco/Net/SocketAddressImpl.h

## Inheritance

Direct Base Classes: Poco::RefCountedObject

All Base Classes: Poco::RefCountedObject

Known Derived Classes: IPv4SocketAddressImpl, IPv6SocketAddressImpl, LocalSocketAddressImpl

## Member Summary

Member Functions: addr, af, family, host, length, port, toString

Inherited Functions: duplicate, referenceCount, release

## Types Aliases

### Family

using Family = AddressFamily::Family;

## Constructors

### SocketAddressImpl

SocketAddressImpl();

## Destructor

### ~SocketAddressImpl

virtual ~SocketAddressImpl();

## Member Functions

### addr

virtual const struct sockaddr * addr() const = 0;

### af

virtual int af() const = 0;

### family

virtual Family family() const = 0;

### host

virtual IPAddress host() const = 0;

### length

virtual socklen_t length() const = 0;

### port

virtual UInt16 port() const = 0;

### toString

virtual std::string toString() const = 0;